CUDA Driver API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.29. CUstreamAttrValue Union Reference

## [Data types used by CUDA driver]

Stream attributes union, used with cuStreamSetAttribute/cuStreamGetAttribute

### Public Variables

struct CUaccessPolicyWindow accessPolicyWindow
CUsynchronizationPolicy syncPolicy

### Variables

struct CUaccessPolicyWindow CUstreamAttrValue::accessPolicyWindow [inherited]

  Attribute CUaccessPolicyWindow.

CUsynchronizationPolicy CUstreamAttrValue::syncPolicy [inherited]

  Value for CU_STREAM_ATTRIBUTE_SYNCHRONIZATION_POLICY.